Bug 457287 - empty /proc/mounts
empty /proc/mounts
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 13:24 EDT by Fabrice Bellet
Modified: 2008-09-16 16:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 16:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (32.86 KB, text/plain)
2008-07-30 15:50 EDT, Fabrice Bellet
no flags Details

  None (edit)
Description Fabrice Bellet 2008-07-30 13:24:31 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fabrice Bellet 2008-07-30 13:27:51 EDT
ok, further details :-)

running kernel 2.6.27-0.186.rc0.git15.fc10.i686, on a thinkpad T40 :

[root@rawhide ~]# cat /proc/mounts 
cat: /proc/mounts: Invalid argument
[root@rawhide ~]# strace cat /proc/mounts 
[...]
open("/proc/mounts", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
read(3, 0x8515000, 1024)                = -1 EINVAL (Invalid argument)
[...]
[root@rawhide ~]# mount
/dev/sda3 on / type ext3 (rw)
none on /proc type proc (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda2 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)


and there is no error message in the logs.
Comment 2 Fabrice Bellet 2008-07-30 15:50:57 EDT
Created attachment 313025 [details]
dmesg
Comment 3 Fabrice Bellet 2008-07-30 15:54:59 EDT
and smolt uuid of the box is pub_8be150b9-f49c-4c5e-968e-41db78fd37e4
Comment 4 Dave Jones 2008-08-01 15:19:44 EDT
can you repeat this with todays -rc1 kernel ?
Can't find a way to reproduce this locally, so it's possible this got fixed
already upstream.
Comment 5 Fabrice Bellet 2008-09-16 16:54:27 EDT
it's fixed with kernel 2.6.27-0.323.rc6.fc10.i686, thanks!

Note You need to log in before you can comment on or make changes to this bug.